enum RoleCategoryType {
  KITCHEN_AND_CULINARY
  CONCESSIONS
  FACILITIES
  BARTENDING
  SECURITY
  EVENT_STAFF
  MANAGEMENT
  TECHNICAL
  OTHER
}

type RoleCategory @table(name: "role_categories") {
  id: UUID! @default(expr: "uuidV4()")
  roleName: String!
  category: RoleCategoryType!
  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
